Package org.apache.tools.ant.attribute

# Class IfTrueAttribute

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.attribute.BaseIfAttribute
org.apache.tools.ant.attribute.IfTrueAttribute

All Implemented Interfaces:
  `Cloneable`, `EnableAttribute`

Direct Known Subclasses:
  `IfTrueAttribute.Unless`

public class IfTrueAttribute extends BaseIfAttribute
Check if an attribute value is true or not.

Since:
  Ant 1.9.1

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IfTrueAttribute.Unless`
The unless version

## Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`IfTrueAttribute()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEnabled(UnknownElement el, String value)`
check if the attribute value is true or not is enabled.

### Methods inherited from class org.apache.tools.ant.attribute.BaseIfAttribute

`convertResult, getParams, isPositive, setPositive`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IfTrueAttribute

public IfTrueAttribute()

## Method Details

### isEnabled

public boolean isEnabled(UnknownElement el, String value)
check if the attribute value is true or not is enabled.

Parameters:
  `el` - the unknown element this attribute is in.
  `value` - the value of the attribute.
Returns:
  true if the attribute enables the element, false otherwise.